﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tektronix TPS 2000: ADJ RS-232 /9500+3Hd
DATE:                  2014-03-14 14:12:04
AUTHOR:                Fluke
REVISION:              $Revision: 19204 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       114
=============================================================================
#
#  Procedure Author:
#        VY, GMO
# 
#  Models covered:
#        TPS 2012, TPS2012B
# 
#  Source(s):
#        TPS2000B Series Digital Storage Oscilloscopes
#        Service Manual, PN 077-0447-01
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#        25 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

  1.002  IF           NOT(VERSIONCHECK("8.1.4"))
  1.003  END
  1.004  ENDIF

  1.005  CALL         Sub Display Copyright
  1.006  CALL         Sub High Voltage Safety Warning

  1.007  HEAD         TEST CONDITIONS
  1.008  DISP         Ensure a minimum UUT warm-up time of at least
  1.008  DISP         10 minutes has been allowed to elapse, prior
  1.008  DISP         to beginning verification.

  1.009  HEAD         REMOTE SETUP
  1.010  TARGET
  1.011  CALL         Sub UUT RS-232 Connection DTE DB9 (m)
  1.012  CALL         Sub Tek TPS2000 Setup RS-232
  1.013  PORT         *RST

  1.014  HEAD         UUT IDENTIFICATION
  1.015  CALL         Sub IEEE-488.2 Identification Query RS-232 using OTERM
  1.016  MATH         @UUT_Manufacturer = "Tektronix"
  1.017  CALL         Sub IEEE-488.2 Identification Query Check Response

# Query self test result. if failed, abort the procedure
  1.018  PORT         DIA:RESU:FLA?[I$]

  1.019  IF           ZCMPI(MEM2, "FAIL")
  1.020  DISP         Self Test failed, procedure will be aborted.
  1.021  MATH         @Abort = 1
  1.022  ELSE
  1.023  MATH         @Abort = 0
  1.024  ENDIF

  1.025  JMPL         END                          @Abort

  1.026  HEAD         FACTORY CALIBRATION START
  1.027  TARGET
  1.028  MATH         @Abort = 0

  1.029  DO
  1.030  CALL         Sub Tek TPS2000 Cal Steps RS-232 /9500+3Hd

  1.031  IF           @Error
  1.032  OPBR         -z Failure occurred during the FACTORY CALIBRATION.
  1.032  OPBR
  1.032  OPBR         Do you wish to retry the calibration?
  1.033  MATH         @Abort = NOT(MEM1)
  1.034  ELSE
  1.035  MATH         @SelfCalTime = 130
  1.036  CALL         Sub Tek TPS2000 Self Cal RS-232
  1.037  ENDIF

  1.038  UNTIL        NOT(@Error) || @Abort


  1.039  LABEL        END
  1.040  HEAD
  1.041  PORT         *RST

  1.042  IF           NOT(@Abort)
  1.043  DISP         C A L I B R A T I O N   C O M P L E T E
  1.044  ELSE
  1.045  DISP         C A L I B R A T I O N   A B O R T E D
  1.046  ENDIF

  1.047  END
